<div class="container mt-4 ">
    <div class="container card">
        <form>
            <div class="form-group mt-2">
                <label for="name">ชื่อ</label>
                <input type="text" class="form-control" id="name" placeholder="กรุณาใส่ชื่อ" [(ngModel)]="name"
                    [ngModelOptions]="{standalone: true}">
            </div>
            <div class="form-group">
                <label for="email">อีเมล</label>
                <input type="email" class="form-control" id="email" aria-describedby="emailHelp"
                    placeholder="กรุณาใส่อีเมล" [(ngModel)]="email" [ngModelOptions]="{standalone: true}">
            </div>
            <div class="form-group">
                <label for="tel">เบอร์โทรศัพท์</label>
                <input type="text" class="form-control" id="tel" placeholder="กรุณาใส่เบอร์โทรศัพท์" [(ngModel)]="tel"
                    [ngModelOptions]="{standalone: true}" maxlength="10">
            </div>
            <div class="form-group">
                <label for="address">ที่อยู่</label>
                <input type="text" class="form-control" id="address" placeholder="กรุณาใส่ที่อยู่" [(ngModel)]="address"
                    [ngModelOptions]="{standalone: true}">
            </div>
            <button type="submit" class="btn btn-primary mt-2 mb-2" (click)="setUpdate()">Submit</button>
        </form>

        <div class="mt-5">
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">ชื่อ</th>
                        <th scope="col">อีเมล</th>
                        <th scope="col">เบอร์โทรศัพท์</th>
                        <th scope="col">ที่อยู่</th>
                        <th scope="col"></th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor='let item of UserArray; let i = index'>
                        <th scope="row">{{i+1}}</th>
                        <td>{{item.name}}</td>
                        <td>{{item.email}}</td>
                        <td>{{item.tel}}</td>
                        <td>{{item.address}}</td>
                        <td>
                            <button type="button" class="btn btn-warning mx-1"
                                (click)="editUser(item._id)">แก้ไข</button>
                            <button type="button" class="btn btn-danger mx-1" (click)="delUser(item._id)">ลบ</button>


                            <!-- <button type="button" class="btn btn-warning mx-2"  (click)="editUserR(item._id)">แก้ไข</button> -->

                            <!-- <button type="button" class="btn btn-warning mx-1"  [routerLink]="'/editUser/'">แก้ไข</button>
                        <button type="button" class="btn btn-danger mx-1"  (click)="delUser(item._id)">ลบ</button> -->

                        </td>
                    </tr>
                </tbody>
            </table>

        </div>
    </div>
    <div>
        <button class="btn btn-success mt-2 mb-2 mx-2" [routerLink]="'/userManagement'">User Management</button>
    </div>

</div>